Modify

Ticket #4662 (closed Bugs: fixed)

Opened 4 years ago

Last modified 3 years ago

asio is not usable on NetBSD (using kqueue)

Reported by: Arnaud Degroote <degroote@…> Owned by: chris_kohlhoff
Milestone: To Be Determined Component: asio
Version: Boost 1.44.0 Severity: Problem
Keywords: Cc:

Description

NetBSD uses an intptr_t to store udata in kqueue structure, contrary to FreeBSD/OpenBSD which use a void*. It leads to various compilation failures (invalid cast between descriptor_data and intptr_t) from kqueue_reactor.ipp

The attached patch fixes the issue (calling reinterpret_cast<> in the NetBSD case). With this patch, I'm able to pass most of the asio test on NetBSD (still a few errors in the multicast case, I may investigate on it later) (the patch is untested on other BSD, but the conditional macro must be ok).

Attachments

netbsd_kqueue_reactor.diff Download (3.2 KB) - added by Degroote <degroote@…> 4 years ago.

Change History

Changed 4 years ago by Degroote <degroote@…>

comment:1 Changed 3 years ago by chris_kohlhoff

(In [66159]) Fix kqueue_reactor so that it compiles on NetBSD. Refs #4662.

comment:2 Changed 3 years ago by chris_kohlhoff

  • Status changed from new to closed
  • Resolution set to fixed

(In [66173]) Merge from trunk. ........

r66075 | chris_kohlhoff | 2010-10-18 23:27:12 +1100 (Mon, 18 Oct 2010) | 2 lines

Fix unused parameter warnings.

........

r66143 | chris_kohlhoff | 2010-10-22 23:07:36 +1100 (Fri, 22 Oct 2010) | 2 lines

Redefine Protocol and id to avoid clashing with Objective-C++ keywords. Fixes #4191.

........

r66144 | chris_kohlhoff | 2010-10-22 23:20:52 +1100 (Fri, 22 Oct 2010) | 2 lines

Version check not required.

........

r66156 | chris_kohlhoff | 2010-10-24 11:26:10 +1100 (Sun, 24 Oct 2010) | 2 lines

Fix for IBM C++ compiler.

........

r66158 | chris_kohlhoff | 2010-10-24 13:06:46 +1100 (Sun, 24 Oct 2010) | 2 lines

Fix vector reallocation performance problem. Fixes #4780.

........

r66159 | chris_kohlhoff | 2010-10-24 18:58:23 +1100 (Sun, 24 Oct 2010) | 2 lines

Fix kqueue_reactor so that it compiles on NetBSD. Fixes #4662.

........

r66162 | chris_kohlhoff | 2010-10-25 00:15:46 +1100 (Mon, 25 Oct 2010) | 2 lines

Fix failure in socket_base test on NetBSD.

........

comment:3 Changed 3 years ago by chris_kohlhoff

  • Severity changed from Showstopper to Problem
View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.